Properties Methods Events Config Options Direct Link

    Observable
      Resizable

# Class Ext.Resizable

Package: | Ext
Defined In: | Resizable.js
Class: | Resizable
Extends: | Observable

Applies drag handles to an element to make it resizable. The drag handles are inserted into the element and positioned absolute. Some elements, such as a textarea or image, don't support this. To overcome that, you can wrap the textarea in a div and set "resizeChild" to true (or to the id of the element), or set wrap:true in your config and the element will be wrapped for you automatically.

Here is the list of valid resize handles:

    Value   Description
    ------  -------------------
     'n'     north
     's'     south
     'e'     east
     'w'     west
     'nw'    northwest
     'sw'    southwest
     'se'    southeast
     'ne'    northeast
     'all'   all

Here's an example showing the creation of a typical Resizable:

    var resizer = new Ext.Resizable("element-id", {
        handles: 'all',
        minWidth: 200,
        minHeight: 100,
        maxWidth: 500,
        maxHeight: 400,
        pinned: true
    });
    resizer.on("resize", myHandler);

To hide a particular handle, set its display to none in CSS, or through script:
resizer.east.setDisplayed(false);

## Config Options

Config Options | Defined By
--- | ---
| adjustments : Array/String String "auto" or an array [width, height] with values to be added to the resize operation's new size (defaults to [0,... String "auto" or an array [width, height] with values to be added to the resize operation's new size (defaults to [0, 0]) | Resizable
| animate : Boolean True to animate the resize (not compatible with dynamic sizing, defaults to false) | Resizable
| disableTrackOver : Boolean True to disable mouse tracking. This is only applied at config time. (defaults to false) | Resizable
| draggable : Boolean Convenience to initialize drag drop (defaults to false) | Resizable
| duration : Number Animation duration if animate = true (defaults to .35) | Resizable
| dynamic : Boolean True to resize the element while dragging instead of using a proxy (defaults to false) | Resizable
| easing : String Animation easing if animate = true (defaults to 'easingOutStrong') | Resizable
| enabled : Boolean False to disable resizing (defaults to true) | Resizable
| handles : String String consisting of the resize handles to display (defaults to undefined) | Resizable
| height : Number The height of the element in pixels (defaults to null) | Resizable
| heightIncrement : Number The increment to snap the height resize in pixels (dynamic must be true, defaults to 0) | Resizable
| listeners : Object A config object containing one or more event handlers to be added to this object during initialization. This should b... A config object containing one or more event handlers to be added to this object during initialization. This should be a valid listeners config object as specified in the addListener example for attaching multiple handlers at once. | Observable
| maxHeight : Number The maximum height for the element (defaults to 10000) | Resizable
| maxWidth : Number The maximum width for the element (defaults to 10000) | Resizable
| minHeight : Number The minimum height for the element (defaults to 5) | Resizable
| minWidth : Number The minimum width for the element (defaults to 5) | Resizable
| minX : Number The minimum allowed page X for the element (only used for west resizing, defaults to 0) | Resizable
| minY : Number The minimum allowed page Y for the element (only used for north resizing, defaults to 0) | Resizable
| multiDirectional : Boolean Deprecated. The old style of adding multi-direction resize handles, deprecated in favor of the handles config option ... Deprecated. The old style of adding multi-direction resize handles, deprecated in favor of the handles config option (defaults to false) | Resizable
| pinned : Boolean True to ensure that the resize handles are always visible, false to display them only when the user mouses over the r... True to ensure that the resize handles are always visible, false to display them only when the user mouses over the resizable borders. This is only applied at config time. (defaults to false) | Resizable
| preserveRatio : Boolean True to preserve the original ratio between height and width during resize (defaults to false) | Resizable
| resizeChild : Boolean/String/Element True to resize the first child, or id/element to resize (defaults to false) | Resizable
| resizeRegion : Ext.lib.Region Constrain the resize to a particular region | Resizable
| transparent : Boolean True for transparent handles. This is only applied at config time. (defaults to false) | Resizable
| width : Number The width of the element in pixels (defaults to null) | Resizable
| widthIncrement : Number The increment to snap the width resize in pixels (dynamic must be true, defaults to 0) | Resizable
| wrap : Boolean True to wrap an element with a div if needed (required for textareas and images, defaults to false) | Resizable

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

Resizable( `Mixed el`, `Object config` )
Create a new resizable component
Create a new resizable component
Parameters:

- `el` : Mixed
  The id or element to resize
- `config` : Object
  configuration options

Returns:

- ``

Resizable

addEvents( `Object object` ) : void
Used to define events on this Observable
Used to define events on this Observable
Parameters:

- `object` : Object
  The object with the events defined

Returns:

- `void`

Observable

addListener( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] ) : void
Appends an event handler to this component
Appends an event handler to this component
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional) An object containing handler configuration properties. This may contain any of the following properties:
  - scope : Object

    The scope in which to execute the handler function. The handler function's "this" context.

  - delay : Number

    The number of milliseconds to delay the invocation of the handler after the event fires.

  - single : Boolean

    True to add a handler to handle just the next firing of the event, and then remove itself.

  - buffer {Number} Causes the handler to be scheduled to run in an Ext.util.DelayedTask delayed by the specified number of milliseconds. If the event fires again within that time, the original handler is not invoked, but the new handler is scheduled in its place.

  Combining Options
  Using the options argument, it is possible to combine different types of listeners:
  A normalized, delayed, one-time listener that auto stops the event and passes a custom argument (forumId)

      el.on('click', this.onClick, this, {
          single: true,
          delay: 100,
          forumId: 4
      });

  Attaching multiple handlers in 1 call
  The method also allows for a single argument to be passed which is a config object containing properties which specify multiple handlers.

      foo.on({
          'click' : {
              fn: this.onClick,
              scope: this,
              delay: 100
          },
          'mouseover' : {
              fn: this.onMouseOver,
              scope: this
          },
          'mouseout' : {
              fn: this.onMouseOut,
              scope: this
          }
      });

  Or a shorthand syntax:

      foo.on({
          'click' : this.onClick,
          'mouseover' : this.onMouseOver,
          'mouseout' : this.onMouseOut,
           scope: this
      });

Returns:

- `void`

Observable

el( `Number width`, `Number height` ) : void
Perform a manual resize
Perform a manual resize
Parameters:

- `width` : Number
- `height` : Number

Returns:

- `void`

Resizable

fireEvent( `String eventName`, `Object... args` ) : Boolean
Fires the specified event with the passed parameters (minus the event name).
Fires the specified event with the passed parameters (minus the event name).
Parameters:

- `eventName` : String
- `args` : Object...
  Variable number of parameters are passed to handlers

Returns:

- `Boolean`
  returns false if any of the handlers return false otherwise it returns true

Observable

hasListener( `String eventName` ) : Boolean
Checks to see if this object has any listeners for a specified event
Checks to see if this object has any listeners for a specified event
Parameters:

- `eventName` : String
  The name of the event to check for

Returns:

- `Boolean`
  True if the event is being listened for, else false

Observable

on( `String eventName`, `Function handler`, [`Object scope`], [`Object options`] ) : void
Appends an event handler to this element (shorthand for addListener)
Appends an event handler to this element (shorthand for addListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The method the event invokes
- `scope` : Object
  (optional) The scope in which to execute the handler function. The handler function's "this" context.
- `options` : Object
  (optional)

Returns:

- `void`

Observable

purgeListeners() : void
Removes all listeners for this object
Removes all listeners for this object
Parameters:

- None.

Returns:

- `void`

Observable

removeListener( `String eventName`, `Function handler`, [`Object scope`] ) : void
Removes a listener
Removes a listener
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

Observable

resumeEvents() : void
Resume firing events. (see suspendEvents)
Resume firing events. (see suspendEvents)
Parameters:

- None.

Returns:

- `void`

Observable

suspendEvents() : void
Suspend the firing of all events. (see resumeEvents)
Suspend the firing of all events. (see resumeEvents)
Parameters:

- None.

Returns:

- `void`

Observable

un( `String eventName`, `Function handler`, [`Object scope`] ) : void
Removes a listener (shorthand for removeListener)
Removes a listener (shorthand for removeListener)
Parameters:

- `eventName` : String
  The type of event to listen for
- `handler` : Function
  The handler to remove
- `scope` : Object
  (optional) The scope (this object) for the handler

Returns:

- `void`

Observable

## Public Events

Event | Defined By
--- | ---

beforeresize : ( `Ext.Resizable this`, `Ext.EventObject e` )
Fired before resize is allowed. Set enabled to false to cancel resize.
Fired before resize is allowed. Set enabled to false to cancel resize.
Listeners will be called with the following arguments:

- `this` : Ext.Resizable
- `e` : Ext.EventObject
  The mousedown event

Resizable

resize : ( `Ext.Resizable this`, `Number width`, `Number height`, `Ext.EventObject e` )
Fired after a resize.
Fired after a resize.
Listeners will be called with the following arguments:

- `this` : Ext.Resizable
- `width` : Number
  The new width
- `height` : Number
  The new height
- `e` : Ext.EventObject
  The mouseup event

Resizable